gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. Interface for text-editing widgets. GLib.IWrapper
- Method
  System.Void `` `` Selects a region of text. An integer, the start of the selected region. An integer, the end of the selected region. The characters that are selected are those characters at positions from up to, but not including . If is negative, then the the characters selected will be those characters from to the end of the text.
- Method
  System.String `` `` Retrieves a sequence of characters. The characters that are retrieved are those characters at positions from up to, but not including . If is negative, then the the characters retrieved will be those characters from to the end of the text. An integer; the start position An integer; the end position The characters between and (but not including) .
- Method
  System.Void `` `` Deletes a sequence of characters. The characters that are deleted are those characters at positions from up to, but not including . If is negative, then the the characters deleted will be those characters from to the end of the text. An integer; the start position An integer; the end position
- Method
  System.Void Causes the characters in the current selection to be copied to the clipboard.
- Method
  System.Void Causes the characters in the current selection to be deleted.
- Method
  System.Boolean `` `` Gets the current selection bounds, if there is a selection An IntPtr to store the start position in. An IntPtr to store the end position in. Boolean, TRUE if there is a selection.
- Method
  System.Void Causes the characters in the current selection to be copied to the clipboard and then deleted from the widget.
- Method
  System.Void Causes the contents of the clipboard to be pasted into the given widget at the current cursor position.
- Property
  System.Boolean Whether or not the user can edit the text in the editable widget or not. A boolean; TRUE if the user can edit the text. A boolean; TRUE if the user can edit the text.
- Property
  System.Int32 The current cursor position. An integer position for the cursor. An integer position for the cursor.
- Event
  Gtk.TextInsertedHandler Fired whenever the user inserts text. The default handler for this signal will normally be responsible for inserting the text, so by connecting to this signal and then stopping the signal with gtk_signal_emit_stop(), it is possible to modify the inserted text, or prevent it from being inserted entirely. (FIXME: Need Gtk# equivalent for gtk_signal_emit_stop().)
- Event
  Gtk.TextDeletedHandler Fired whenever the user deletes text. The default handler for this signal will normally be responsible for inserting the text, so by connecting to this signal and then stopping the signal with gtk_signal_emit_stop(), it is possible to modify the inserted text, or prevent it from being inserted entirely. The and parameters are interpreted as for (FIXME: need equivalent for gtk_signal_emit_stop().)
- Event
  System.EventHandler Fired when the user has changed the contents of the widget.
- Method
  System.Void `` `` Inserts at . A string to insert. A pointer to the position within the Editable object for inserting the string.